Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.validator
Class BaseFacesObjectDescriptor<T>

    java.lang.Object
      org.richfaces.validator.BaseFacesObjectDescriptor<T>

Direct Known Subclasses:
  BeanValidatorDescriptor, ConverterDescriptorImpl, FacesValidatorDescriptor

    public class BaseFacesObjectDescriptor<T>

extends java.lang.Object

Constructor Summary
`BaseFacesObjectDescriptor(java.lang.Class<? extends T> converterClass, javax.faces.application.FacesMessage message)`

Method Summary
`protected void` | `addParameter(java.lang.String name, java.lang.Object value)`
`java.util.Map<java.lang.String,? extends java.lang.Object>` | `getAdditionalParameters()`
`java.lang.Class<?>` | `getImplementationClass()`
`org.richfaces.javascript.Message` | `getMessage()`
`protected void` | `makeImmutable()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseFacesObjectDescriptor

    public BaseFacesObjectDescriptor(java.lang.Class<? extends T> converterClass,
                                     javax.faces.application.FacesMessage message)

Method Detail

### getImplementationClass

    public java.lang.Class<?> getImplementationClass()

### getAdditionalParameters

    public java.util.Map<java.lang.String,? extends java.lang.Object> getAdditionalParameters()

### getMessage

    public org.richfaces.javascript.Message getMessage()

### addParameter

    protected void addParameter(java.lang.String name,
                                java.lang.Object value)

### makeImmutable

    protected void makeImmutable()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.